Loading...
Searching...
No Matches
color.c File Reference

GRASS cairo display driver - colors management. More...

`#include "cairodriver.h"`
Include dependency graph for cairodriver/color.c:

Go to the source code of this file.

## Functions

void | Cairo_Color (int r, int g, int b)
| Set source color (opaque).

## Detailed Description

GRASS cairo display driver - colors management.

(C) 2007-2008 by Lars Ahlzen and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Lars Ahlzen <lars ahlzen.com> (original contributor)
  Glynn Clements

Definition in file cairodriver/color.c.

## Function Documentation

## Cairo_Color()

void Cairo_Color | ( | int | r,
|  | int | g,
|  | int | b )

Set source color (opaque).

This color will then be used for any subsequent drawing operation until a new source pattern is set.

Parameters

  r | red color value
  g | green color value
  b | blue color value

Definition at line 27 of file cairodriver/color.c.

References b, cairo, CAIROCOLOR, g, G_debug(), and r.

Referenced by Cairo_Driver().